import type { PropType as __PropType } from 'vue';
/**
 * PolyLine component
 * @displayName GmvPolyline
 * @see [source code](/guide/polyline.html#source-code)
 * @see [official docs](https://developers.google.com/maps/documentation/javascript/reference/polygon?hl=es#Polyline)
 * @see [official reference](https://developers.google.com/maps/documentation/javascript/reference/polygon?hl=es#Polyline)
 */
/*******************************************************************************
 * DEFINE COMPONENT PROPS
 ******************************************************************************/
declare const _sfc_main: import("vue").DefineComponent<{
    clickable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    draggable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    editable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    geodesic: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    icons: {
        type: __PropType<google.maps.IconSequence[] | undefined>;
        required: false;
    };
    path: {
        type: __PropType<google.maps.MVCArray<google.maps.LatLng> | (google.maps.LatLng | google.maps.LatLngLiteral)[] | undefined>;
        required: false;
    };
    strokeColor: {
        type: __PropType<string | undefined>;
        required: false;
    };
    strokeOpacity: {
        type: __PropType<number | undefined>;
        required: false;
    };
    strokeWeight: {
        type: __PropType<number | undefined>;
        required: false;
    };
    visible: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    zIndex: {
        type: __PropType<number | undefined>;
        required: false;
    };
    deepWatch: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    options: {
        type: __PropType<Record<string, unknown> | undefined>;
        required: false;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, string[], string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    clickable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    draggable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    editable: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    geodesic: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    icons: {
        type: __PropType<google.maps.IconSequence[] | undefined>;
        required: false;
    };
    path: {
        type: __PropType<google.maps.MVCArray<google.maps.LatLng> | (google.maps.LatLng | google.maps.LatLngLiteral)[] | undefined>;
        required: false;
    };
    strokeColor: {
        type: __PropType<string | undefined>;
        required: false;
    };
    strokeOpacity: {
        type: __PropType<number | undefined>;
        required: false;
    };
    strokeWeight: {
        type: __PropType<number | undefined>;
        required: false;
    };
    visible: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    zIndex: {
        type: __PropType<number | undefined>;
        required: false;
    };
    deepWatch: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    options: {
        type: __PropType<Record<string, unknown> | undefined>;
        required: false;
    };
}>> & {
    [x: `on${Capitalize<string>}`]: ((...args: any[]) => any) | undefined;
}, {
    clickable: boolean | undefined;
    draggable: boolean | undefined;
    editable: boolean | undefined;
    visible: boolean | undefined;
    geodesic: boolean | undefined;
    deepWatch: boolean | undefined;
}, {}>;
export default _sfc_main;
